## GtefActionInfoCentralStore GtefActionInfoCentralStore — Aggregation of all GtefActionInfoStore's |

## Functions

GtefActionInfoCentralStore * | gtef_action_info_central_store_get_instance ()
const GtefActionInfo * | gtef_action_info_central_store_lookup ()

## Types and Values

| GtefActionInfoCentralStore

## Object Hierarchy

        GObject
        ╰── GtefActionInfoCentralStore

## Includes

    #include <gtef/gtef.h>

## Description

GtefActionInfoCentralStore is a singleton class containing the aggregation of all GtefActionInfoStore's. Each time a GtefActionInfo is added to a GtefActionInfoStore, it is also added to the GtefActionInfoCentralStore.

## Functions

### gtef_action_info_central_store_get_instance ()

    GtefActionInfoCentralStore *
    gtef_action_info_central_store_get_instance
                                   (void);

#### Returns

the GtefActionInfoCentralStore singleton instance.

[transfer none]

Since: 2.0

### gtef_action_info_central_store_lookup ()

    const GtefActionInfo *
    gtef_action_info_central_store_lookup (GtefActionInfoCentralStore *central_store,
                                           const gchar *action_name);

#### Parameters

central_store | a GtefActionInfoCentralStore. |
action_name | an action name. |

#### Returns

the found GtefActionInfo, or `NULL`.

[transfer none]

Since: 2.0

## Types and Values

### GtefActionInfoCentralStore

    typedef struct _GtefActionInfoCentralStore GtefActionInfoCentralStore;

## See Also

GtefActionInfoStore